Get Sign-in Logo

GET /v1/endpoints/{uuid}/settings/logo

Download the logo of the endpoint's sign-in pages, as the PNG ngris stored. Requires the endpoints:read permission in the active account.

Path parameters

uuid string (uuid) Req
The endpoint's uuid from List Endpoints.

Response (200 OK)

The picture, Content-Type: image/png.

Errors

401 Unauthorized
Missing or invalid auth.
403 Forbidden
Your role lacks endpoints:read, or you are not a member of the active account.
404 Not Found
This endpoint's sign-in pages have no logo, or endpoint not found for an endpoint of another account.
Request
curl "https://api.ngris.com/v1/endpoints/019ba0a5-abcc-7a95-af8e-2f8559f823cd/settings/logo" \ -H "X-API-KEY: <your_api_key>" \ -o logo.png
Was this helpful?
On this page
Get Sign-in Logo
Was this helpful?